BasicComboBoxUI.PropertyChangeHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler class
Date: 2015-05-24

javax.swing.plaf.basic

## Class BasicComboBoxUI.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler

- All Implemented Interfaces:
    PropertyChangeListener, EventListener
  Direct Known Subclasses:
    MetalComboBoxUI.MetalPropertyChangeListener
  Enclosing class:
    BasicComboBoxUI

      public class BasicComboBoxUI.PropertyChangeHandler
      extends Object
      implements PropertyChangeListener

  This listener watches for bound properties that have changed in the combo box.

  Subclasses which wish to listen to combo box property changes should call the superclass methods to ensure that the combo box ui correctly handles property changes.

  This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

  See Also:
    `BasicComboBoxUI.createPropertyChangeListener()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyChangeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyChangeHandler

          public PropertyChangeHandler()

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent e)

      Description copied from interface: `PropertyChangeListener`
      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Parameters:
        `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.